Unable to delete features of a table inside a public schema of postgres database

2015-08-10 01:04 AM - Ahamed Farook

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.10.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 21259

Description

I have table inside a public schema of postgres database. And i did a connection to that database and load the table inside the public

schema in QGIS 2.10.1. I changed the table to edit mode and tried deleting a record, but delete button was not highlighted. Image is

attached below.

History

#1 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#2 - 2015-11-08 04:58 AM - Jürgen Fischer

- Subject changed from Cant able to delete features of a table inside a public schema of postgre database to Unable to delete features of a table inside 

a public schema of postgres database

#3 - 2015-11-08 05:02 AM - Jürgen Fischer

- Status changed from Open to Feedback

Check the editing capabilities of the layer in properties in the metadata tab of layer properties.  You're probably not allowed to "Delete features".

#4 - 2015-12-19 04:06 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.
